PKGCTL-VERSION-CHECK(1)

NAME
pkgctl-version-check - Compares local package versions against upstream

SYNOPSIS

pkgctl version check [OPTIONS] [PKGBASE...]

DESCRIPTION

Compares the versions of packages in the local packaging repository against their latest upstream versions.

Upon execution, it generates a grouped list that provides detailed insights into each package’s status. For each package, it displays the current local version alongside the latest version available upstream.

Outputs a summary of up-to-date packages, out-of-date packages, and any check failures.

This simplifies the maintenance of PKGBUILD files, reducing the manual effort required to track version changes from upstream sources.

CONFIGURATION

Uses nvchecker(1) and a .nvchecker.toml file located alongside the PKGBUILD. Refer to the configuration section in pkgctl-version(1).

OPTIONS

-h, --help
    Show a help text

FILTER OPTIONS

-v, --verbose
    Display all results including up-to-date versions

OUTPUT OPTIONS

--json
    Enable printing in JSON; Shorthand for '--format json'

-F, --format FORMAT
    Controls the output format of the results; FORMAT is 'pretty', or 'json' (default pretty)

EXIT CODES

On exit, return one of the following codes:

0
    Normal exit condition, all checked versions are up-to-date

1
    Unknown cause of failure

2
    Normal exit condition, but there are out-of-date versions

3
    Failed to run some version checks

SEE ALSO

pkgctl-version(1) nvchecker(1)

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.